Subject: Re: bug#61344: 29.0.50; NEWS double announcement for BMP and w32-use-native-image-API

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Feb 2023 14:28:42 +0200

> From: Arash Esbati <[email-masked]>
> Date: Tue, 07 Feb 2023 10:01:10 +0100
> 
>   ---
>   *** Emacs now uses native image APIs to display some image formats.
>   On Windows 2000 and later, Emacs now defaults to using the native
>   image APIs for displaying the BMP, GIF, JPEG, PNG, and TIFF images.
>   This means Emacs on MS-Windows needs no longer use external image
>   support libraries to display those images.  Other image types -- XPM,
>   SVG, and WEBP -- still need support libraries for Emacs to be able to
>   display them.
> 
>   The use of native image APIs is controlled by the variable
>   'w32-use-native-image-API', whose value now defaults to t on systems
>   where those APIs are available.
> 
>   +++
>   *** Emacs now supports display of BMP images using native image APIs.
>   When 'w32-use-native-image-API' is non-nil, Emacs on MS-Windows now
>   has built-in support for displaying BMP images.
> 
> Is this double announcement necessary?  Unless I'm missing something,
> everything in the second item is actually said in the first one.

The BMP images were never supported before, now they are, but only if
native image APIs are used.  That's what the second item above says.
The first one, by contrast, just says that native image APIs are used
by default, not as an opt-in feature.

So there's no duplication, or at least there shouldn't be one.